import com.thingworx.communications.client.ClientConfigurator;
import com.thingworx.communications.client.ConnectedThingClient;
import com.thingworx.communications.common.SecurityClaims;

/**
 * Created by avaleanu on 30.01.2017.
 */
public class Client extends ConnectedThingClient {



    public static Client getClient(String appKey, String uri) throws Exception {
        ClientConfigurator config = new ClientConfigurator();
        config.setUri(uri);
        config.setAppKey(appKey);
        config.ignoreSSLErrors(true);
        config.setReconnectInterval(15);
        SecurityClaims claims = SecurityClaims.fromAppKey(appKey);
        config.setSecurityClaims(claims);

        return new Client(config);
    }

    public Client(ClientConfigurator config) throws Exception {
        super(config);
    }



}
